Subject: Re: [PATCH 1/2] t/unit-tests: update clar to 39f11fe

From: Patrick Steinhardt <[email-masked]>
Date: Sat, 6 Dec 2025 12:39:00 +0100

On Fri, Dec 05, 2025 at 01:40:20PM -0500, Jeff King wrote:
> On Fri, Dec 05, 2025 at 01:57:52PM +0100, Patrick Steinhardt wrote:
> > +#define cl_assert_equal_i_fmt(i1, i2, fmt) cl_assert_compare_i_(i1, i2, CLAR_COMPARISON_EQ, #i1 " == " #i2,  fmt " != " fmt, (int)(i1), (int)(i2))
> 
> Here we still cast to int. I guess we have to in order to keep custom
> "%o" and friends working. They probably ought to be using PRIoMAX, but
> that would require changes to the tests to do so (and I wonder if we
> might hit any portability issues).

It certainly is the oddball in this context, yes. I would honestly just
want to drop it entirely, but I can't because it would potentially break
other users. libgit2 for example uses it :/

Patrick